eslwow  
 

How to Use ESL-WOW

 
 

Technical Requirements:

To achieve the most from the ESL Writing Online Workshop, it is important that the program be experienced on computer systems which meet or exceed the recommended minimum system requirements. In order to view the segments, it is necessary that you have Adobe’s Flash plug-in version 9.0 or greater installed in your web browser. To confirm this plug-in has been installed, check your browser by going to the Adobe website to verify that the Flash test image will play.

American Disabilities Act

In accordance with Section 508 of the American Disabilities Act, this website provides accessibility for the visual and hearing impaired.

"How to Use ESL-WOW" Video

Back